#include "StdAfx.h"
#include "Auto.h"
#include "Motor.h"

Auto::Auto(void)
{
	motor = gcnew Motor();
	geschw_max = 200;
	geschwindigkeit = 0;
}

Auto::Auto(int hoechstgeschw, int geschw)
{
	motor = gcnew Motor();
	if (hoechstgeschw > 0)
		geschw_max = hoechstgeschw;
	else
		geschw_max = 200;

	if (geschw > geschw_max)
		geschwindigkeit = geschw_max;
	else
		geschwindigkeit = geschw;
}

int Auto::Geschwindigkeit::get()
{
	return geschwindigkeit;
}

void Auto::Geschwindigkeit::set(int geschw)
{
	geschwindigkeit = geschw;
	if (geschwindigkeit > geschw_max)
		geschwindigkeit = geschw_max;
}

int Auto::Hoechstgeschwindigkeit::get()
{
	return geschw_max;
}


void Auto::beschleunigen(int b)
{
	geschwindigkeit += b;
	if (geschwindigkeit > geschw_max)
		geschwindigkeit = geschw_max;
}

void Auto::bremsen()
{
	geschwindigkeit = 0;
}

